gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.VBox Gtk.Editable System.Obsolete A widget for selecting a file or directory. A contains a and a browse dialog.
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.24.0.0
  an object of type
  an object of type
  Creates a new .
- Event
  2.24.0.0
  GLib.Signal("activate")
  System.EventHandler Emitted when the is activated.
- Event
  2.24.0.0
  GLib.Signal("browse_clicked")
  System.EventHandler Emitted when the browse button is clicked.
- Property
  2.24.0.0
  GLib.Property("browse_dialog_title")
  System.String Title of the browse dialog. an object of type
- Event
  2.24.0.0
  GLib.Signal("changed")
  System.EventHandler Emitted when the text is changed into the .
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type Construct a .
- Method
  2.24.0.0
  System.Void To be added
- Method
  2.24.0.0
  System.Void To be added
- Property
  2.24.0.0
  GLib.Property("default_path")
  System.String Set the default path of browse dialog. an object of type The default path is only used if the entry is empty or if the current path of the entry is not an absolute path, in which case the default path is prepended to it before the dialog is started.
- Method
  2.24.0.0
  System.Void To be added
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type Deletes the text of the between and .
- Property
  2.24.0.0
  System.Boolean To be added a To be added
- Property
  2.24.0.0
  GLib.Property("directory_entry")
  System.Boolean Whether this is a directory only entry. an object of type If , then will check for the file being a directory, and the browse dialog will have the file list disabled.
- Property
  2.24.0.0
  GLib.Property("filechooser_action")
  Gtk.FileChooserAction To be added a To be added
- Property
  2.24.0.0
  GLib.Property("filename")
  System.String The value of the internal . an object of type
- Method
  2.24.0.0
  System.String `` `` an object of type an object of type Gets the text of the between and . an object of type
- Method
  2.24.0.0
  System.String `` an object of type Gets the full absolute path of the file from the entry. an object of type If is , nothing is tested and the path is returned. If is , then the path is only returned if the path actually exists. In case the entry is a directory entry (see ), then if the path exists and is a directory then it is returned; if not, it is assumed it was a file so we try to strip it, and try again. It allocates memory for the returned string.
- Method
  2.24.0.0
  System.Boolean `` `` an object of type an object of type To be added an object of type
- Property
  2.24.0.0
  GLib.Property("gnome_entry")
  Gnome.Entry The associated . an object of type
- Property
  2.24.0.0
  GLib.Property("gtk_entry")
  Gtk.Entry The associated . an object of type
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.24.0.0
  GLib.Property("history_id")
  System.String The ID for the associated history. an object of type
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type Inserts into the at .
- Property
  2.24.0.0
  System.Boolean Whether the should be editable by the user. an object of type
- Property
  2.24.0.0
  GLib.Property("modal")
  System.Boolean Whether the browse dialog is modal. an object of type
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideActivated", Type=typeof(Gnome.FileEntry))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideBrowseClicked", Type=typeof(Gnome.FileEntry))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChanged", Type=typeof(Gnome.FileEntry))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextDeleted", Type=typeof(Gnome.FileEntry))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextInserted", Type=typeof(Gnome.FileEntry))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  System.Void To be added
- Property
  2.24.0.0
  System.Int32 The cursor position in the . an object of type
- Method
  2.24.0.0
  System.Void `` `` an object of type an object of type Select the text of the between and .
- Event
  2.24.0.0
  GLib.Signal("delete_text")
  Gtk.TextDeletedHandler Emitted when text is deleted into the .
- Event
  2.24.0.0
  GLib.Signal("insert_text")
  Gtk.TextInsertedHandler Emitted when text is inserted into the .
- Property
  2.24.0.0
  System.String Set the title of the browse dialog. an object of type The new title will go into effect the next time the browse button is pressed.
- Property
  2.24.0.0
  GLib.Property("use_filechooser")
  System.Boolean To be added a To be added